# Mersenne Twister 32 bit seeding => bx consumption pattern => BIP32 master key

This is a special and unusual way of generating keys with BIP32, but without derivations.

See [libbitcoin-explorer bx-ec-new](https://github.com/libbitcoin/libbitcoin-explorer/wiki/bx-ec-new) for details.

Victims could have used a combination of `bx seed` and `bx ec-new` to generate weak keys in this range.


## Observed Usage

* We only investigated usage with Bitcoin.
* Compressed and uncompressed pubkeys

## Writeups

* See [research update #1](https://milksad.info/posts/research-update-1/).